%define name python-twisted-words
%define version 10.1.0
%define rel 1
%define mainver %(echo %{version} | sed -e 's/\\([0-9]*\\.[0-9]*\\)\\.[0-9]*/\\1/')

Summary:        Chat and Instant Messaging module for Twisted
Name:           %{name}
Version:	%{version}
Release:	%mkrel %{rel}
Source0:        http://tmrc.mit.edu/mirror/twisted/Words/%{mainver}/TwistedWords-%{version}.tar.bz2
License:        MIT
Group:          Development/Python
URL:            http://twistedmatrix.com/trac/wiki/TwistedWords
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:	python-devel python-twisted-core
#BuildArch:      noarch
Requires:       python-twisted-core
# for words/tap.py
Requires:       python-twisted-web

%description
Twisted Words includes:

* Low-level protocol implementations of OSCAR (AIM and ICQ), IRC, MSN,
  TOC (AIM).
* Jabber libraries.
* Prototypes of chat server and client frameworks built on top of
  the protocols.

%prep
%setup -q -n TwistedWords-%{version}

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}
%__python setup.py install --root=%{buildroot} --install-purelib=%{py_platsitedir}

%__install -d                      %buildroot%_mandir/man1
%__install -m 644 doc/man/*.1      %buildroot%_mandir/man1

%clean
%__rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE NEWS README doc/*
%dir %py_platsitedir/twisted/words/
%py_platsitedir/twisted/words/*
%py_platsitedir/twisted/plugins/*
%py_platsitedir/*.egg-info
%_mandir/man1/*



%changelog
* Tue Jul 20 2010 Lev Givon <lev@mandriva.org> 10.1.0-1mdv2011.0
+ Revision: 555040
- Update to 10.1.0.

* Thu Mar 04 2010 Lev Givon <lev@mandriva.org> 10.0.0-1mdv2010.1
+ Revision: 514231
- Update to 10.0.0.

  + Frederik Himpe <fhimpe@mandriva.org>
    - Update to new version 9.0.0

* Sat Jan 03 2009 Jérôme Soyer <saispo@mandriva.org> 8.2.0-1mdv2009.1
+ Revision: 323863
- New upstream release

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.org> 8.1.0-1mdv2009.1
+ Revision: 318667
- rebuild for python 2.6

* Sat Jun 14 2008 Michael Scherer <misc@mandriva.org> 8.1.0-1mdv2009.0
+ Revision: 219073
-update to new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 31 2007 Crispin Boylan <crisb@mandriva.org> 0.5.0-2mdv2008.0
+ Revision: 76793
- Remove requires on xish, words now contains it

* Tue Jun 26 2007 Michael Scherer <misc@mandriva.org> 0.5.0-1mdv2008.0
+ Revision: 44403
- new version

* Sat Apr 21 2007 Emmanuel Andry <eandry@mandriva.org> 0.4.0-2mdv2008.0
+ Revision: 16601
- rebuild for python 2.5 (bug #30284)


* Sun May 28 2006 Michael Scherer <misc@mandriva.org> 0.4.0-1mdv2007.0
- 0.4.0

* Wed Jan 25 2006 Michael Scherer <misc@mandriva.org> 0.3.0-2mdk
- make it arch dependant ( or it will not work on x86_64 du to module loading issue )
- use macro

* Sun Oct 23 2005 Michael Scherer <misc@mandriva.org> 0.3.0-1mdk
- New release 0.3.0

* Sun May 15 2005 Michael Scherer <misc@mandriva.org> 0.1.0-2mdk
- fix requires

* Sat May 14 2005 Michael Scherer <misc@mandriva.org> 0.1.0-1mdk
- Initial package

